Name:          eog
Version:       3.38.3
Release:       4
Summary:       A GNOME Image Viewer
License:       GPLv2+ and GFDL-1.1-or-later
URL:           https://wiki.gnome.org/Apps/EyeOfGnome
Source0:       http://download.gnome.org/sources/%{name}/3.38/%{name}-%{version}.tar.xz
Requires:      gsettings-desktop-schemas glib2 >= 2.53.0  gtk3 >= 3.22.0
BuildRequires: pkgconfig(exempi-2.0) pkgconfig(gdk-pixbuf-2.0) pkgconfig(glib-2.0) >= 2.53.0 pkgconfig(gnome-desktop-3.0) >= 2.91.2
BuildRequires: pkgconfig(gobject-introspection-1.0) pkgconfig(gsettings-desktop-schemas) pkgconfig(gtk+-3.0) >= 3.22.0 pkgconfig(lcms2)
BuildRequires: pkgconfig(libexif) >= 0.6.14 pkgconfig(libpeas-1.0) >= 0.7.4 pkgconfig(libpeas-gtk-1.0) >= 0.7.4 pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(shared-mime-info) pkgconfig(x11) desktop-file-utils gettext gtk-doc itstool libjpeg-devel meson zlib-devel libappstream-glib
BuildRequires: chrpath
#BuildRequires: pkgconfig(libportal)

%description
EOG is an application used for viewing and cataloging image files on the
GNOME Desktop.It has basic editing capabilites.

%package devel
Summary: developing plugins for the eog image viewer
Requires: %{name} = %{version}-%{release}

%description devel
Development files for eog.

%package tests
Summary:  Usability test of the eog package
Requires: %{name} = %{version}-%{release}
Requires: python3-dogtail python3-behave

%description tests
The tests package can be used to verify the Usability of the eog package.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -Dgtk_doc=true -Dinstalled_tests=true -Dlibportal=false
%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome
chrpath -d %{buildroot}/%{_bindir}/%{name}
mkdir -p %{buildroot}/etc/ld.so.conf.d
echo "%{_libdir}/%{name}" > %{buildroot}/etc/ld.so.conf.d/%{name}-%{_arch}.conf

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*.appdata.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.gnome.eog.desktop

%files -f %{name}.lang
%doc AUTHORS NEWS README COPYING
%{_datadir}/eog
%{_datadir}/applications/org.gnome.eog.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_bindir}/*
%{_libdir}/eog
%{_datadir}/GConf/gsettings/eog.convert
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/metainfo/eog.appdata.xml
%config(noreplace) /etc/ld.so.conf.d/*

%files devel
%{_includedir}/eog-3.0
%{_libdir}/pkgconfig/eog.pc
%{_datadir}/gtk-doc/

%files tests
%dir %{_libexecdir}/eog
%{_libexecdir}/eog/installed-tests/
%{_datadir}/installed-tests/

%changelog
* Mon May 16 2022 loong_C <loong_c@yeah.net> - 3.38.3-4
- update eog.spec

* Tue Jan 11 2022 yangping <yangping69@huawei.com> - 3.38.3-3
- fix chrpath command not found

* Thu Sep 9 2021 caodongxia <caodongxia@huawei.com> - 3.38.3-2
- Remove rpath

* Mon Jun 7 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.3-1
- Upgrade to 3.38.3
- Update Version, Release, Source0, BuildRequires
- Temporaryly disable libportal, because there isn't in cunrrent community

* Fri Sep 11 2020 wangyue<wangyue92@huawei.com> - 3.28.4-3
- Use python3-dogtail to replace python-dogtail

* Fri Nov 22 2019 gulining<gulining1@huawei.com> - 3.28.4-2
- Pakcage init
